Package org.eclipse.mat.hprof

# Enum ExportHprof.RedactType

java.lang.Object
java.lang.Enum<ExportHprof.RedactType>
org.eclipse.mat.hprof.ExportHprof.RedactType

All Implemented Interfaces:
  `Serializable`, `Comparable<ExportHprof.RedactType>`, `java.lang.constant.Constable`

Enclosing class:
  `ExportHprof`

public static enum ExportHprof.RedactType extends Enum<ExportHprof.RedactType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASIC`
`FULL`
`NAMES`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`static ExportHprof.RedactType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExportHprof.RedactType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final ExportHprof.RedactType NONE

### NAMES

public static final ExportHprof.RedactType NAMES

### BASIC

public static final ExportHprof.RedactType BASIC

### FULL

public static final ExportHprof.RedactType FULL

## Method Details

### values

public static ExportHprof.RedactType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ExportHprof.RedactType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null